<template lang='pug'>
BaseWebApp(ref='app' :title='title' :version='version' :showRoutes='false' :showThemeSwitcher='true')
  template(#navbar-content)
    .d-none.d-lg-flex
      .button.btn.b-clickable.d-none(@click="toggleSideBar()" align='left')
        kbd.inverted.keyHintNavBar.mr-2(v-if="showKeyHints") Ctrl+M
        i.fa.fa-bars.fa-lg.text-light
      router-link.navbar-brand.d-flex(to="/")
        img.align-middle(height="30" :src='$butils.publicPath("img/favicon.svg")')
        .text-muted.d-none.ml-1.d-xl-inline {{ title }} #[span.text-muted.tiny {{ version }}]
  template(#sidebar-content)
    SidebarContent
  template(#default)
    div
      .row
        Timing(ref="timing")
        Daq(ref="daq"
            :canConfigure="!isLoading"
            :daqId="daqId"
            @configure="onConfigureEvent")
      .row
        RFMerger(ref="rfmerger")
      .row
        CardList(ref="cards" @loaded="onCardsLoaded")
</template>
<script>

export { default } from './Dashboard.vue.js';

</script>
<style lang="scss">
@import 'src/app';

.primary-color {
  color: #004085;
  background-color: #cce5ff;
  border-color: #b8daff;
}

.secondary-color {
  color: #383d41;
  background-color: #e2e3e5;
  border-color: #d6d8db;
}

.clickable {
  cursor: pointer;
}

.modal-backdrop {
  z-index: auto !important;
}

.modal-dialog{
  overflow-y: initial !important
}
.modal-body{
  overflow-y: auto;
}

.modal-content{
  height: 90vh;
}

.btn.clickable{
  color:#b8daff;
}

.b-navbar .button {
  display: none;
}

</style>
